<!doctype html>
<html>
<head>
    <meta name="viewport" content="width=device-width"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <style>
        .html {
            width: 100%;
        }

        body {
            width: 21cm;
            margin: 0 auto;
            font-family: sans-serif;
            font-size: 10px;
        }

        .page {
            height: 29.7cm;
            break-inside: avoid;
        }

        .flex {
            display: flex;
        }

        .header {
            width: 100%;
            justify-content: space-between;
            margin: 10px 0;
        }

        h1 {
            font-size: 12px;
            font-weight: bold;
            margin: 0;
        }

        .divider {
            width: 100%;
            border-top: 1px solid #CFCFCF;
        }

        .divider.stroked {
            border-top-style: dashed;
        }

        .zone {
            display: flex;
            height: 20px;
            width: 80px;
        }

        body:not(.colored) .zone.zone-OA .zone-name,
        body:not(.colored) .seats-zone.seats-zone-OA {
            background-color: #D7D7D7;
        }

        body:not(.colored) .zone.zone-OB .zone-name,
        body:not(.colored) .seats-zone.seats-zone-OB {
            background-color: #B1B4B7;
        }

        body:not(.colored) .zone.zone-OC .zone-name,
        body:not(.colored) .seats-zone.seats-zone-OC {
            background-color: #898887;
        }

        body:not(.colored) .zone.zone-OD .zone-name,
        body:not(.colored) .seats-zone.seats-zone-OD {
            background-color: #908C94;
        }

        body.colored .zone.zone-OA .zone-name,
        body.colored .seats-zone.seats-zone-OA {
            background-color: #84CC16;
        }

        body.colored .zone.zone-OB .zone-name,
        body.colored .seats-zone.seats-zone-OB {
            background-color: #60A5FA;
        }

        body.colored .zone.zone-OC .zone-name,
        body.colored .seats-zone.seats-zone-OC {
            background-color: #FBBF24;
        }

        body.colored .zone.zone-OD .zone-name,
        body.colored .seats-zone.seats-zone-OD {
            background-color: #CC99FF;
        }

        .zone-name {
            font-weight: bold;
            width: 27px;
            display: flex;
            align-items: center;
            justify-content: center;
            border-top-left-radius: 4px;
            border-bottom-left-radius: 4px;
        }

        .zone-pax {
            display: flex;
            align-items: center;
            justify-content: center;
            border: 1px solid #CFCFCF;
            border-left: none;
            flex: 1;
            border-top-right-radius: 4px;
            border-bottom-right-radius: 4px;
        }

        .legend {
            margin-bottom: 10px;
        }

        .legend h1, .comments h1 {
            margin-bottom: 10px;
        }

        .legends {
            margin-top: 10px;
            display: flex;
            flex-wrap: wrap;
        }

        .legends > div {
            display: flex;
            align-items: center;
            width: 25%;
            margin-bottom: 10px;
        }

        .legends .color {
            width: 20px;
            height: 20px;
            border-radius: 4px;
            margin-right: 5px;
        }

        .legends .icon {
            width: auto;
            height: 20px;
            margin-right: 5px;
        }

        body:not(.colored) .only-colored {
            display: none;
        }

        .comments .comment {
            margin: 10px 0;
        }

        .comments .comment .title {
            font-weight: bold;
        }

        body.colored .comments .comment .title {
            color: #FF157A;
        }

        .row {
            display: flex;
            flex-wrap: wrap;
            flex: 1 1 auto;
        }

        .col {
            flex-basis: 0;
            flex-grow: 1;
            max-width: 100%;
        }

        .seats {
            margin-top: 20px;
        }

        .seats-zone {
            writing-mode: vertical-rl;
            transform: rotate(-180deg);
            border-radius: 4px;
            box-sizing: border-box;
            margin-top: 20px;
            margin-right: 5px;
            max-width: 3%;
            display: flex;
            align-items: center;
            justify-content: center;
            font-weight: bold;
        }

        .seats-row {
        }

        .seat-cell {
            width: calc(11.75% - 2px);
            height: 22px;
            flex: none;
            display: flex;
            align-items: center;
            justify-content: center;
            margin-left: 2px;
            margin-bottom: 2px;
            border-radius: 4px;
            overflow: hidden;
            font-size: 10px;
            line-height: 12px;
            text-align: center;
            box-sizing: border-box;
        }

        .seat-cell.seat-cell--small {
            width: calc(3% - 2px);
        }

        .seat-cell.seat-cell--large {
            width: calc(23.5% - 2px);
        }

        .seat-cell.seat-cell--hide {
            visibility: hidden;
        }

        .seat-cell.seat-cell--not-display {
            display: none;
        }

        .seat-cell.seat-cell--header {
            background-color: #EBEBEB;
        }

        body.colored .seat-cell.seat-cell--no-pax:not(.seat-cell--blocked):not(.seat-cell--comment),
        body:not(.colored) .seat-cell:not(.seat-cell--blocked):not(.seat-cell--comment) {
            border: 1px solid #EBEBEB;
        }

        .seat-cell.seat-cell--blocked {
            background-color: #C9C9C9;
        }

        body.colored .seat-cell.seat-cell--comment {
            border: 1px solid #FF157A;
        }

        body:not(.colored) .seat-cell.seat-cell--comment {
            border: 2px solid #000000;
        }

        body.colored .seat-cell.seat-cell--no-rank {
            background-color: #FB8C00;
        }

        .seat-cell .seat-cell--rank {
            text-transform: uppercase;
        }

        .seat-cell .seat-cell--name {
            text-transform: lowercase;
        }

        body.colored .bgCivilRanks {
            background-color: #ffcaca;
        }

        body.colored .bgTroopRanks {
            background-color: #ffdfca;
        }

        body.colored .bgJuniorSubOfficers {
            background-color: #FFF1F2;
        }

        body.colored .bgSeniorSubOfficers {
            background-color: #F3E8FF;
        }

        body.colored .bgJuniorOfficers {
            background-color: #FEF3C7;
        }

        body.colored .bgSeniorOfficers {
            background-color: #BBF7D0;
        }

        body.colored .bgGeneralOfficers {
            background-color: #DBEAFE;
        }

        .spacer {
            flex-grow: 1 !important;
        }
    </style>
</head>

<body {{#if colored}}class="colored"{{/if}}>
<div class="page">
    <div class="header flex">
        <h1>{{ aircraft_type }}</h1>
        <span style="font-size: 12px;">Plan cabine {{ aircraft_plan_cab }}</span>
    </div>
    <div class="divider"></div>
    <div class="header flex">
        <span>Vol : {{ serial_number }}</span>
        <span>Dest. : {{ destination }}</span>
        <span>Date : {{ date }}</span>
    </div>
    <div class="divider"></div>
    <div class="header flex">
        {{#if show_oa}}
            <div class="zone zone-OA">
                <div class="zone-name">
                    OA
                </div>
                <div class="zone-pax">
                    {{ zone_oa }}
                </div>
            </div>
        {{/if}}
        {{#if show_ob}}
            <div class="zone zone-OB">
                <div class="zone-name">
                    OB
                </div>
                <div class="zone-pax">
                    {{ zone_ob }}
                </div>
            </div>
        {{/if}}
        {{#if show_oc}}
            <div class="zone zone-OC">
                <div class="zone-name">
                    OC
                </div>
                <div class="zone-pax">
                    {{ zone_oc }}
                </div>
            </div>
        {{/if}}
        {{#if show_od}}
            <div class="zone zone-OD">
                <div class="zone-name">
                    OD
                </div>
                <div class="zone-pax">
                    {{ zone_od }}
                </div>
            </div>
        {{/if}}
    </div>
    <div class="seats">
        {{#each seats}}
            <div class="row">
                <div class="col seats-zone seats-zone-{{ name }}">
                    {{ name }}
                </div>
                <div class="col">
                    {{#each rows}}
                        <div class="row seats-row">
                            {{#each columns}}
                                {{#if previous_spacer}}
                                    <div class="spacer"></div>
                                {{/if}}
                                <div class="col seat-cell {{ css }}">
                                    {{{ text }}}
                                </div>
                                {{#if next_spacer}}
                                    <div class="spacer"></div>
                                {{/if}}
                            {{/each}}
                        </div>
                    {{/each}}
                </div>
            </div>
        {{/each}}
    </div>
</div>
<div class="page">
    <div class="legend">
        <h1>Légende</h1>
        <div class="divider"></div>
        <div class="legends">
            <div class="only-colored">
                <div class="color" style="background-color: #dbeafe;"></div>
                Officiers généraux
            </div>
            <div class="only-colored">
                <div class="color" style="background-color: #bbf7d0;"></div>
                Officiers supérieurs
            </div>
            <div class="only-colored">
                <div class="color" style="background-color: #fef3c7;"></div>
                Officiers subalternes
            </div>
            <div class="only-colored">
                <div class="color" style="background-color: #f3e8ff;"></div>
                Sous-officiers supérieurs
            </div>
            <div class="only-colored">
                <div class="color" style="background-color: #fff1f2;"></div>
                Sous-officiers subalternes
            </div>
            <div class="only-colored">
                <div class="color" style="background-color: #ffdfca;"></div>
                Militaires du rang
            </div>
            <div class="only-colored">
                <div class="color" style="background-color: #ffcaca;"></div>
                Civils
            </div>
            <div>
                <svg class="icon" width="12" height="12" viewBox="0 0 12 12" fill="none"
                     xmlns="http://www.w3.org/2000/svg">
                    <path d="M6.00008 9.07419L9.60508 11.25L8.64841 7.14919L11.8334 4.39002L7.63925 4.03419L6.00008 0.166687L4.36091 4.03419L0.166748 4.39002L3.35175 7.14919L2.39508 11.25L6.00008 9.07419Z"
                          fill="black"/>
                </svg>
                VIP
            </div>
            <div>
                <svg class="icon" width="12" height="12" viewBox="0 0 12 12" fill="none"
                     xmlns="http://www.w3.org/2000/svg">
                    <path d="M10.5 2.5H8.3125V2.0625C8.31106 1.71485 8.17232 1.38184 7.92649 1.13601C7.68066 0.890183 7.34765 0.75144 7 0.75H4.375C4.02735 0.75144 3.69434 0.890183 3.44851 1.13601C3.20268 1.38184 3.06394 1.71485 3.0625 2.0625V2.5H0.875C0.642936 2.5 0.420376 2.59219 0.256282 2.75628C0.0921872 2.92038 0 3.14294 0 3.375V10.375C0 10.6071 0.0921872 10.8296 0.256282 10.9937C0.420376 11.1578 0.642936 11.25 0.875 11.25H10.5C10.7321 11.25 10.9546 11.1578 11.1187 10.9937C11.2828 10.8296 11.375 10.6071 11.375 10.375V3.375C11.375 3.14294 11.2828 2.92038 11.1187 2.75628C10.9546 2.59219 10.7321 2.5 10.5 2.5ZM3.9375 2.0625C3.9375 1.94647 3.98359 1.83519 4.06564 1.75314C4.14769 1.67109 4.25897 1.625 4.375 1.625H7C7.11603 1.625 7.22731 1.67109 7.30936 1.75314C7.39141 1.83519 7.4375 1.94647 7.4375 2.0625V2.5H3.9375V2.0625ZM10.5 10.375H0.875V3.375H10.5V10.375ZM7.65625 6.875C7.65625 6.99103 7.61016 7.10231 7.52811 7.18436C7.44606 7.26641 7.33478 7.3125 7.21875 7.3125H6.125V8.40625C6.125 8.52228 6.07891 8.63356 5.99686 8.71561C5.91481 8.79766 5.80353 8.84375 5.6875 8.84375C5.57147 8.84375 5.46019 8.79766 5.37814 8.71561C5.29609 8.63356 5.25 8.52228 5.25 8.40625V7.3125H4.15625C4.04022 7.3125 3.92894 7.26641 3.84689 7.18436C3.76484 7.10231 3.71875 6.99103 3.71875 6.875C3.71875 6.75897 3.76484 6.64769 3.84689 6.56564C3.92894 6.48359 4.04022 6.4375 4.15625 6.4375H5.25V5.34375C5.25 5.22772 5.29609 5.11644 5.37814 5.03439C5.46019 4.95234 5.57147 4.90625 5.6875 4.90625C5.80353 4.90625 5.91481 4.95234 5.99686 5.03439C6.07891 5.11644 6.125 5.22772 6.125 5.34375V6.4375H7.21875C7.33478 6.4375 7.44606 6.48359 7.52811 6.56564C7.61016 6.64769 7.65625 6.75897 7.65625 6.875Z"
                          fill="black"/>
                </svg>
                Stratevac / Medevac
            </div>
            <div>
                <svg class="icon" width="10" height="10" viewBox="0 0 10 10" fill="none"
                     xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd" clip-rule="evenodd"
                          d="M7.1001 2.19998H9.2001C9.5851 2.19998 9.9001 2.51498 9.9001 2.89998V9.19998C9.9001 9.58498 9.5851 9.89998 9.2001 9.89998H0.800098C0.415098 9.89998 0.100098 9.58498 0.100098 9.19998V2.89998C0.100098 2.51498 0.415098 2.19998 0.800098 2.19998H2.9001V0.799976C2.9001 0.414976 3.2151 0.0999756 3.6001 0.0999756H6.4001C6.7851 0.0999756 7.1001 0.414976 7.1001 0.799976V2.19998ZM6.4001 0.799976H3.6001V2.19998H6.4001V0.799976Z"
                          fill="black"/>
                </svg>
                Convoyeur
            </div>
            <div>
                <svg class="icon" width="14" height="14" viewBox="0 0 14 14" fill="none"
                     xmlns="http://www.w3.org/2000/svg">
                    <circle cx="2.62508" cy="5.54165" r="1.45833" fill="black"/>
                    <circle cx="5.25008" cy="3.20833" r="1.45833" fill="black"/>
                    <circle cx="8.75008" cy="3.20833" r="1.45833" fill="black"/>
                    <circle cx="11.3751" cy="5.54165" r="1.45833" fill="black"/>
                    <path d="M10.115 8.66833C9.60754 8.07333 9.18171 7.56583 8.66838 6.97083C8.40004 6.65583 8.05588 6.34083 7.64754 6.20083C7.58338 6.1775 7.51921 6.16 7.45504 6.14833C7.30921 6.125 7.15171 6.125 7.00004 6.125C6.84838 6.125 6.69088 6.125 6.53921 6.15417C6.47504 6.16583 6.41088 6.18333 6.34671 6.20667C5.93838 6.34667 5.60004 6.66167 5.32588 6.97667C4.81838 7.57167 4.39254 8.07917 3.87921 8.67417C3.11504 9.43833 2.17588 10.2842 2.35088 11.4683C2.52004 12.0633 2.94588 12.6525 3.71004 12.8217C4.13588 12.9092 5.49504 12.565 6.94171 12.565H7.04671C8.49338 12.565 9.85254 12.9033 10.2784 12.8217C11.0425 12.6525 11.4684 12.0575 11.6375 11.4683C11.8184 10.2783 10.8792 9.4325 10.115 8.66833Z"
                          fill="black"/>
                </svg>
                Maître-chien
            </div>
            <div>
                <svg xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 0 24 24" width="24px" fill="#000000">
                    <path d="M0 0h24v24H0V0z" fill="none"/>
                    <circle cx="14.5" cy="10.5" r="1.25"/>
                    <circle cx="9.5" cy="10.5" r="1.25"/>
                    <path d="M22.94 11.34c-.25-1.51-1.36-2.74-2.81-3.17-.53-1.12-1.28-2.1-2.19-2.91C16.36 3.85 14.28 3 12 3s-4.36.85-5.94 2.26c-.92.81-1.67 1.8-2.19 2.91-1.45.43-2.56 1.65-2.81 3.17-.04.21-.06.43-.06.66 0 .23.02.45.06.66.25 1.51 1.36 2.74 2.81 3.17.52 1.11 1.27 2.09 2.17 2.89C7.62 20.14 9.71 21 12 21s4.38-.86 5.97-2.28c.9-.8 1.65-1.79 2.17-2.89 1.44-.43 2.55-1.65 2.8-3.17.04-.21.06-.43.06-.66 0-.23-.02-.45-.06-.66zM19 14c-.1 0-.19-.02-.29-.03-.2.67-.49 1.29-.86 1.86C16.6 17.74 14.45 19 12 19s-4.6-1.26-5.85-3.17c-.37-.57-.66-1.19-.86-1.86-.1.01-.19.03-.29.03-1.1 0-2-.9-2-2s.9-2 2-2c.1 0 .19.02.29.03.2-.67.49-1.29.86-1.86C7.4 6.26 9.55 5 12 5s4.6 1.26 5.85 3.17c.37.57.66 1.19.86 1.86.1-.01.19-.03.29-.03 1.1 0 2 .9 2 2s-.9 2-2 2zm-7 3c2.01 0 3.74-1.23 4.5-3h-9c.76 1.77 2.49 3 4.5 3z"/>
                </svg>
                Mineur
            </div>
        </div>
    </div>
    <div class="comments">
        <h1>Commentaires</h1>
        <div class="divider"></div>
        {{#each comments}}
            <div class="comment">
                <div class="title">
                    {{ title }}
                </div>
                <div class="text">
                    {{ text }}
                </div>
            </div>
            <div class="divider stroked"></div>
        {{/each}}
    </div>
</div>
</body>
